%global _basename Orchis
%global year 2024
%global month 09
%global day 02

Name:            orchis-gtk

%global forgeurl https://github.com/vinceliuice/%{_basename}-theme
# %%global tag   %{year}-%{month}-%{day}
%global commit   6cda1476f059a0f96b475e80112f333e1ba66a80
%global date     %{year}1001
%forgemeta

Version:         %{year}.%{month}.%{day}
Release:         1%{?dist}
Summary:         Material Design theme for GNOME/GTK based desktop environments
License:         GPL-3.0
URL:             %{forgeurl}
Source:          %{forgesource}

BuildArch:       noarch

BuildRequires:   sassc

Requires:        gtk2-engines
Requires:        gtk-murrine-engine
Requires:        gnome-themes-extra

%description
Orchis is a Material Design theme for GNOME/GTK based desktop environments

#------------------------------------------------------------------

%package    theme
Summary:    Material Design theme for GNOME/GTK based desktop environments - Full black variant

%description theme
Orchis is a Material Design theme for GNOME/GTK based desktop environments.

This package contains the full black variant.

%files      theme
%{_datadir}/themes/%{_basename}*
%exclude %{_datadir}/themes/%{_basename}-Black*
%exclude %{_datadir}/themes/%{_basename}-*-Nord*
%exclude %{_datadir}/themes/%{_basename}-*-Dracula*

#------------------------------------------------------------------

%package    black-theme
Summary:    Material Design theme for GNOME/GTK based desktop environments - Full black variant

%description black-theme
Orchis is a Material Design theme for GNOME/GTK based desktop environments.

This package contains the full black variant.

%files      black-theme
%{_datadir}/themes/%{_basename}-Black*

#------------------------------------------------------------------

%package    nord-theme
Summary:    Material Design theme for GNOME/GTK based desktop environments - nord variant

%description nord-theme
Orchis is a Material Design theme for GNOME/GTK based desktop environments.

This package contains the nord variant.

%files      nord-theme
%{_datadir}/themes/%{_basename}-*-Nord*

#------------------------------------------------------------------

%package    dracula-theme
Summary:    Material Design theme for GNOME/GTK based desktop environments - dracula variant

%description dracula-theme
Orchis is a Material Design theme for GNOME/GTK based desktop environments.

This package contains the dracula variant.

%files      dracula-theme
%{_datadir}/themes/%{_basename}-*-Dracula*

#------------------------------------------------------------------

%prep
%forgeautosetup -p1

%build
./parse-sass.sh

%install
mkdir -p %{buildroot}%{_datadir}/themes
./install.sh -i fedora -t all --shell 46 --tweaks primary dock -d %{buildroot}%{_datadir}/themes
./install.sh -n Orchis-Black -i fedora -t all --shell 46 --tweaks primary dock black -d %{buildroot}%{_datadir}/themes
./install.sh -i fedora -t all --shell 46 --tweaks primary dock nord -d %{buildroot}%{_datadir}/themes
./install.sh -i fedora -t all --shell 46 --tweaks primary dock dracula -d %{buildroot}%{_datadir}/themes

#------------------------------------------------------------------

%changelog
* Fri Oct 18 2024 Hazel Bunny <hazel_bunny@disroot.org> 2024.09.02-1
- Initial Package.
